#
# Spec file for Red Hat Messaging package mrg-release.
#

# the release version (x.y) will appear in the /etc/mrg-release file
%define release_version 1.3

# this is for internal tracking (i.e. x.y.1, x.y.2, etc)
%define internal_version 3 

Name:           mrg-release
Version:        %{release_version}.%{internal_version}
Release:        3%{?dist}
Summary:        Release indicator package for MRG
Group:          System Environment/Base
License:        GPLv2
Source0:        RETIREMENT-NOTICE.txt 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch


%description
MRG release file

%prep
%setup -c %{name}-%{version} -T
cp -p %{SOURCE0} .

%build
echo OK

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/etc

echo "Red Hat Enterprise MRG %{release_version}" > %{buildroot}/etc/mrg-release

%clean
rm -rf %{buildroot}

%check

%files
%defattr(-,root,root,-)
%attr(0644,root,root) /etc/mrg-release
%doc RETIREMENT-NOTICE.txt


%changelog
* Wed Sep 25 2013 Erik Erlandson <eerlands@redhat.com> - 1.3.3-3
- update retirement notice from 1-year to 6-months

* Thu Apr 18 2013 Mike Cressman <mcressman@redhat.com> - 1.3.3-2
- add RETIREMENT-NOTICE.txt to MRG 1 product stream

* Wed Nov 7 2012 Mike Cressman <mcressman@redhat.com> - 2.3.0-1
- rev for 2.3 release

* Fri Jul 20 2012 Irina Boverman <iboverma@redhat.com> - 2.2
- rev for 2.2 release

* Tue Oct 11 2011 Mike Cressman <mcressman@redhat.com> - 2.1.0-1
- rev for 2.1 release

* Thu Aug 04 2011 Mike Cressman <mcressman@redhat.com> - 1.3.3-1
- rev for 1.3.3 errata

* Wed Mar 23 2011 Mike Cressman <mcressman@redhat.com> - 2.0.0-1
- rev for initial 2.0 release

* Fri Feb 04 2011 Mike Cressman <mcressman@redhat.com> - 1.3.2-1
- rev for 1.3.2 errata

* Tue Dec 07 2010 Mike Cressman <mcressman@redhat.com> - 1.3.1-1
- rev for .net release (aka 1.3.1)

* Tue Oct 12 2010 Mike Cressman <mcressman@redhat.com> - 1.3-2
- Fix noarch, use BuildArch

* Tue Jun 01 2010 Mike Cressman <mcressman@redhat.com> - 1.3-1
- Build noarch only

* Tue May 18 2010 Mike Cressman <mcressman@redhat.com> - 1.3-0
- Initial build.

